Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class TreeExpansionAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.TreeExpansionAction

All Implemented Interfaces:
  EventListener, TreeExpansionListener

public class TreeExpansionAction
extends AbstractAction
implements TreeExpansionListener

Actionimplementierung fuer TreeExpansionEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`TreeExpansionAction()`

Method Summary
`void` | `doTreeCollapsed(TreeExpansionEvent tee)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doTreeExpanded(TreeExpansionEvent tee)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `treeCollapsed(TreeExpansionEvent event)`
`void` | `treeExpanded(TreeExpansionEvent event)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeExpansionAction

    public TreeExpansionAction()

Method Detail

### treeExpanded

    public void treeExpanded(TreeExpansionEvent event)

  Specified by:
    `treeExpanded` in interface `TreeExpansionListener`

### doTreeExpanded

    public void doTreeExpanded(TreeExpansionEvent tee)
                        throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `tee` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### treeCollapsed

    public void treeCollapsed(TreeExpansionEvent event)

  Specified by:
    `treeCollapsed` in interface `TreeExpansionListener`

### doTreeCollapsed

    public void doTreeCollapsed(TreeExpansionEvent tee)
                         throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `tee` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD